## r-bioc-biocneighbors 1.8.2+ds

=== DESCRIPTION ===
Package: BiocNeighbors
Version: 1.8.2
Date: 2020-12-05
Title: Nearest Neighbor Detection for Bioconductor Packages
Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
    email="infinite.monkeys.with.keyboards@gmail.com"))
Imports: Rcpp, S4Vectors, BiocParallel, stats, methods, Matrix
Suggests: testthat, BiocStyle, knitr, rmarkdown, FNN, RcppAnnoy,
        RcppHNSW
biocViews: Clustering, Classification
Description: Implements exact and approximate methods for nearest neighbor 
    detection, in a framework that allows them to be easily switched within 
    Bioconductor packages or workflows. Exact searches can be performed using
    the k-means for k-nearest neighbors algorithm or with vantage point trees.
    Approximate searches can be performed using the Annoy or HNSW libraries.
    Searching on either Euclidean or Manhattan distances is supported. 
    Parallelization is achieved for all methods by using BiocParallel. Functions 
    are also provided to search for all neighbors within a given distance. 
License: GPL-3
LinkingTo: Rcpp, RcppHNSW
VignetteBuilder: knitr
SystemRequirements: C++11
RoxygenNote: 7.1.1
git_url: https://git.bioconductor.org/packages/BiocNeighbors
git_branch: RELEASE_3_12
git_last_commit: 889bc91
git_last_commit_date: 2020-12-06
Date/Publication: 2020-12-07
NeedsCompilation: yes
Packaged: 2020-12-07 23:08:16 UTC; biocbuild
Author: Aaron Lun [aut, cre, cph]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-biocneighbors (1.8.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jan 2021 18:52:19 +0100

r-bioc-biocneighbors (1.8.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Nov 2020 10:17:08 +0100

r-bioc-biocneighbors (1.8.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sun, 01 Nov 2020 17:04:23 +0100

r-bioc-biocneighbors (1.6.0+ds-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Tue, 27 Oct 2020 22:10:46 +0100

r-bioc-biocneighbors (1.6.0+ds-1) unstable; urgency=medium

  * Initial release (closes: #966550)

 -- Steffen Moeller <moeller@debian.org>  Tue, 16 Jun 2020 19:45:16 +0200

=== debian/control ===
Source: r-bioc-biocneighbors
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-bioc-s4vectors,
               r-bioc-biocparallel,
               r-cran-matrix,
               r-cran-rcpphnsw,
               libhnswlib-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocneighbors
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocneighbors.git
Homepage: https://bioconductor.org/packages/BiocNeighbors/
Rules-Requires-Root: no

Package: r-bioc-biocneighbors
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Nearest Neighbor Detection for Bioconductor Packages
 Implements exact and approximate methods for nearest neighbor
 detection, in a framework that allows them to be easily switched within
 Bioconductor packages or workflows. Exact searches can be performed using
 the k-means for k-nearest neighbors algorithm or with vantage point trees.
 Approximate searches can be performed using the Annoy or HNSW libraries.
 Searching on either Euclidean or Manhattan distances is supported.
 Parallelization is achieved for all methods by using BiocParallel. Functions
 are also provided to search for all neighbors within a given distance.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-fnn
Restrictions: allow-stderr

## r-bioc-biocneighbors 1.12.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: BiocNeighbors
-Version: 1.8.2
-Date: 2020-12-05
+Version: 1.12.0
+Date: 2021-05-18
 Title: Nearest Neighbor Detection for Bioconductor Packages
 Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
     email="infinite.monkeys.with.keyboards@gmail.com"))
@@ -22,11 +22,11 @@
 SystemRequirements: C++11
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/BiocNeighbors
-git_branch: RELEASE_3_12
-git_last_commit: 889bc91
-git_last_commit_date: 2020-12-06
-Date/Publication: 2020-12-07
+git_branch: RELEASE_3_14
+git_last_commit: 3c8a290
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: yes
-Packaged: 2020-12-07 23:08:16 UTC; biocbuild
+Packaged: 2021-10-26 20:57:22 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-biocneighbors (1.12.0+ds-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.12.0+ds

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 20:34:04 +0530

r-bioc-biocneighbors (1.10.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r
  * Disable reprotest
  * Test-Depends: r-cran-rcppannoy

 -- Andreas Tille <tille@debian.org>  Fri, 03 Sep 2021 23:20:12 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-cran-matrix,
                r-cran-rcpphnsw,
                libhnswlib-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocneighbors
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocneighbors.git
 Homepage: https://bioconductor.org/packages/BiocNeighbors/

## r-bioc-biocneighbors 1.14.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: BiocNeighbors
-Version: 1.12.0
+Version: 1.14.0
 Date: 2021-05-18
 Title: Nearest Neighbor Detection for Bioconductor Packages
 Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
@@ -22,11 +22,11 @@
 SystemRequirements: C++11
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/BiocNeighbors
-git_branch: RELEASE_3_14
-git_last_commit: 3c8a290
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 670a1bd
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-10-26 20:57:22 UTC; biocbuild
+Packaged: 2022-04-26 20:07:36 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-biocneighbors (1.14.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Test-Depends: r-cran-codetools

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 11:47:50 +0200

## r-bioc-biocneighbors 1.16.0%2Bds

=== debian/changelog ===
r-bioc-biocneighbors (1.16.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 13:43:50 +0100

## r-bioc-biocneighbors 1.16.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: BiocNeighbors
-Version: 1.14.0
-Date: 2021-05-18
+Version: 1.16.0
+Date: 2022-05-26
 Title: Nearest Neighbor Detection for Bioconductor Packages
 Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
     email="infinite.monkeys.with.keyboards@gmail.com"))
@@ -22,11 +22,11 @@
 SystemRequirements: C++11
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/BiocNeighbors
-git_branch: RELEASE_3_15
-git_last_commit: 670a1bd
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 3b227be
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-04-26 20:07:36 UTC; biocbuild
+Packaged: 2022-11-01 20:58:45 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-biocneighbors
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocneighbors
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocneighbors.git
+Homepage: https://bioconductor.org/packages/BiocNeighbors/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -13,11 +17,7 @@
                r-cran-matrix,
                r-cran-rcpphnsw,
                libhnswlib-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocneighbors
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocneighbors.git
-Homepage: https://bioconductor.org/packages/BiocNeighbors/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-biocneighbors
 Architecture: any

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,dversionmangle=auto,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/BiocNeighbors.html .*/BiocNeighbors_(.*).tar.gz

## r-bioc-biocneighbors 1.18.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: BiocNeighbors
-Version: 1.16.0
-Date: 2022-05-26
+Version: 1.18.0
+Date: 2022-11-08
 Title: Nearest Neighbor Detection for Bioconductor Packages
 Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
     email="infinite.monkeys.with.keyboards@gmail.com"))
@@ -22,11 +22,11 @@
 SystemRequirements: C++11
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/BiocNeighbors
-git_branch: RELEASE_3_16
-git_last_commit: 3b227be
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 4b19ef2
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: yes
-Packaged: 2022-11-01 20:58:45 UTC; biocbuild
+Packaged: 2023-04-25 20:22:02 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-biocneighbors (1.18.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Rebuild against latest r-base
    Closes: #1039634
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 10:11:46 +0200

## r-bioc-biocneighbors 1.20.2%2Bds

=== debian/changelog ===
r-bioc-biocneighbors (1.20.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jan 2024 11:03:30 +0100

r-bioc-biocneighbors (1.20.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 23 Dec 2023 17:29:53 +0100

r-bioc-biocneighbors (1.20.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 07:59:07 +0100

## r-bioc-biocneighbors 1.20.2+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: BiocNeighbors
-Version: 1.18.0
-Date: 2022-11-08
+Version: 1.20.2
+Date: 2024-01-05
 Title: Nearest Neighbor Detection for Bioconductor Packages
 Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
     email="infinite.monkeys.with.keyboards@gmail.com"))
@@ -22,11 +22,12 @@
 SystemRequirements: C++11
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/BiocNeighbors
-git_branch: RELEASE_3_17
-git_last_commit: 4b19ef2
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: f792bee
+git_last_commit_date: 2023-12-18
+Repository: Bioconductor 3.18
+Date/Publication: 2024-01-07
 NeedsCompilation: yes
-Packaged: 2023-04-25 20:22:02 UTC; biocbuild
+Packaged: 2024-01-07 21:09:26 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocneighbors
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocneighbors.git
 Homepage: https://bioconductor.org/packages/BiocNeighbors/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-biocneighbors 1.22.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: BiocNeighbors
-Version: 1.20.2
-Date: 2024-01-05
+Version: 1.22.0
+Date: 2022-12-17
 Title: Nearest Neighbor Detection for Bioconductor Packages
 Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
     email="infinite.monkeys.with.keyboards@gmail.com"))
@@ -22,12 +22,12 @@
 SystemRequirements: C++11
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/BiocNeighbors
-git_branch: RELEASE_3_18
-git_last_commit: f792bee
-git_last_commit_date: 2023-12-18
-Repository: Bioconductor 3.18
-Date/Publication: 2024-01-07
+git_branch: RELEASE_3_19
+git_last_commit: c9f4480
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2024-01-07 21:09:26 UTC; biocbuild
+Packaged: 2024-05-01 02:47:49 UTC; biocbuild
 Author: Aaron Lun [aut, cre, cph]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-biocneighbors (1.22.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 16:21:57 +0200

r-bioc-biocneighbors (1.22.0+ds-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/control: bump minimum versions of r-bioc-* packages to bioc-3.19+
    versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 16:50:25 +0200

r-bioc-biocneighbors (1.22.0+ds-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 10:49:15 +0200

=== debian/control ===
--- 
+++ 
@@ -12,20 +12,24 @@
                dh-r,
                r-base-dev,
                r-cran-rcpp,
-               r-bioc-s4vectors,
-               r-bioc-biocparallel,
+               r-bioc-s4vectors (>= 0.42.1),
+               r-bioc-biocparallel (>= 1.38.0),
                r-cran-matrix,
                r-cran-rcpphnsw,
-               libhnswlib-dev
+               libhnswlib-dev,
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-biocneighbors
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-s4vectors (>= 0.42.1),
+         r-bioc-biocparallel (>= 1.38.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1)
 Description: Nearest Neighbor Detection for Bioconductor Packages
  Implements exact and approximate methods for nearest neighbor
  detection, in a framework that allows them to be easily switched within

## r-bioc-biocneighbors 2.0.1+ds

=== DESCRIPTION ===
Package: BiocNeighbors
Version: 2.0.1
Date: 2024-11-26
Title: Nearest Neighbor Detection for Bioconductor Packages
Authors@R: c(person("Aaron", "Lun", role=c("aut", "cre", "cph"),
    email="infinite.monkeys.with.keyboards@gmail.com"))
Imports: Rcpp, methods
Suggests: BiocParallel, testthat, BiocStyle, knitr, rmarkdown
biocViews: Clustering, Classification
Description: Implements exact and approximate methods for nearest neighbor 
    detection, in a framework that allows them to be easily switched within 
    Bioconductor packages or workflows. Exact searches can be performed using
    the k-means for k-nearest neighbors algorithm or with vantage point trees.
    Approximate searches can be performed using the Annoy or HNSW libraries.
    Searching on either Euclidean or Manhattan distances is supported. 
    Parallelization is achieved for all methods by using BiocParallel. Functions 
    are also provided to search for all neighbors within a given distance. 
License: GPL-3
LinkingTo: Rcpp, assorthead
VignetteBuilder: knitr
SystemRequirements: C++17
RoxygenNote: 7.3.2
Encoding: UTF-8
git_url: https://git.bioconductor.org/packages/BiocNeighbors
git_branch: RELEASE_3_20
git_last_commit: 4b02c76
git_last_commit_date: 2024-11-27
Repository: Bioconductor 3.20
Date/Publication: 2024-11-28
NeedsCompilation: yes
Packaged: 2024-11-28 21:22:55 UTC; biocbuild
Author: Aaron Lun [aut, cre, cph]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-biocneighbors (2.0.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 03:29:37 +0100

r-bioc-biocneighbors (2.0.1+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 06 Dec 2024 11:04:24 +0100

r-bioc-biocneighbors (2.0.0+ds-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Drop adjustHnswlibIncludeDir.patch patch, that code has moved to the
    assorthead R package.
  * dh-update-R to update Build-Depends (routine-update)
  * d/control: add build-dep on the new assorthead package

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 06 Dec 2024 11:01:07 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,13 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocneighbors
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocneighbors.git
 Homepage: https://bioconductor.org/packages/BiocNeighbors/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
-               r-bioc-s4vectors (>= 0.42.1),
-               r-bioc-biocparallel (>= 1.38.0),
-               r-cran-matrix,
-               r-cran-rcpphnsw,
-               libhnswlib-dev,
+               r-bioc-assorthead,
                architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
@@ -24,12 +20,9 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         r-bioc-s4vectors (>= 0.42.1),
-         r-bioc-biocparallel (>= 1.38.0)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-biocstyle (>= 2.32.1)
+Suggests: ${R:Suggests}
 Description: Nearest Neighbor Detection for Bioconductor Packages
  Implements exact and approximate methods for nearest neighbor
  detection, in a framework that allows them to be easily switched within
